Name:          octave
Version:       6.3.0
Release:       1mamba
Summary:       A high-level language, primarily intended for numerical computations
Group:         Applications/Mathematics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnu.org/software/octave/
Source0:       ftp://ftp.gnu.org/gnu/octave/octave-%{version}.tar.gz
Source1:       octave.png
Patch0:        %{name}-3.4.2-curl_remove_include.patch
Patch1:        octave-4.0.3-gcc-6.1.0.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: gcc-fortran
BuildRequires: glibc-devel
BuildRequires: libGLU-devel
BuildRequires: libGraphicsMagick-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrender-devel
BuildRequires: libalsa-devel
BuildRequires: libarpack-devel
BuildRequires: libbrotli-devel
BuildRequires: libbsd-devel
BuildRequires: libbzip2-devel
BuildRequires: libcares-devel
BuildRequires: libcurl-devel
BuildRequires: libe2fs-devel
BuildRequires: libexpat-devel
BuildRequires: libfftw-devel
BuildRequires: libfltk-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libglpk-devel
BuildRequires: libglvnd-devel
BuildRequires: libgomp-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgsasl-devel
BuildRequires: libgss-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libhdf5-devel
BuildRequires: libidn-devel
BuildRequires: libidn2-devel
BuildRequires: libjack-devel
BuildRequires: libkrb5-devel
BuildRequires: liblcms2-devel
BuildRequires: libltdl-devel
BuildRequires: liblzma-devel
BuildRequires: libncurses-devel
BuildRequires: libnghttp2-devel
BuildRequires: libntlm-devel
BuildRequires: libopenblas-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: libpcre-devel
BuildRequires: libpng-devel
BuildRequires: libportaudio-devel
BuildRequires: libpsl-devel
BuildRequires: libqhull-devel
BuildRequires: libqrupdate-devel
BuildRequires: libqt5-devel
BuildRequires: libquadmath-devel
BuildRequires: libreadline-devel
BuildRequires: librtmp-devel
BuildRequires: libsasl2-devel
BuildRequires: libsndfile-devel
BuildRequires: libssh2-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsuitesparse-devel
BuildRequires: libunistring-devel
BuildRequires: libuuid-devel
BuildRequires: libxcb-devel
BuildRequires: libz-devel
BuildRequires: libzstd-devel
BuildRequires: qscintilla-devel
## AUTOBUILDREQ-END
BuildRequires: qscintilla-devel >= 2.11.2
BuildRequires: libGraphicsMagick-devel >= 1.3.24
BuildRequires: libqhull-devel >= 2015-1mamba
BuildRequires: libglpk-devel >= 4.58-1mamba
BuildRequires: libsuitesparse-devel >= 5.6.0
BuildRequires: libcares-devel
BuildRequires: libidn-devel
BuildRequires: libssh2-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgss-devel
Requires:      gnuplot
Requires(post):%{__install_info}

%description
GNU Octave is a high-level language, primarily intended for numerical computations.
It provides a convenient command line interface for solving linear and nonlinear problems numerically, and for performing other numerical experiments using a language that is mostly compatible with Matlab.
It may also be used as a batch-oriented language.
Octave has extensive tools for solving common numerical linear algebra problems, finding the roots of nonlinear equations, integrating ordinary functions, manipulating polynomials, and integrating ordinary differential and differential-algebraic equations.
It is easily extensible and customizable via user-defined functions written in Octave's own language, or using dynamically loaded modules written in C++, C, Fortran, or other languages.

%package devel
Summary:       Development headers and files for Octave
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
GNU Octave is a high-level language, primarily intended for numerical computations.
It provides a convenient command line interface for solving linear and nonlinear problems numerically, and for performing other numerical experiments using a language that is mostly compatible with Matlab.
It may also be used as a batch-oriented language.
Octave has extensive tools for solving common numerical linear algebra problems, finding the roots of nonlinear equations, integrating ordinary functions, manipulating polynomials, and integrating ordinary differential and differential-algebraic equations.
It is easily extensible and customizable via user-defined functions written in Octave's own language, or using dynamically loaded modules written in C++, C, Fortran, or other languages.

This package contains static libraries and header files need for development.

%debug_package

%prep
%setup -q
#%patch0 -p1
# FIX for gcc 6.1 (Fedora)
#%patch1 -p1
find -name \*.cc -o -name \*.h -o -name \*.yy | xargs sed -i -e 's/#include <c\(math\|stdlib\)>/#include <\1.h>/'
find -name \*.h -o -name \*.cc | xargs sed -i -e 's/<config.h>/"config.h"/' -e 's/<base-list.h>/"base-list.h"/'
# FIXME: i586 workaround: comment #include <math.h> in
# /usr/include/suitesparse/SuiteSparse_config.h

autoreconf -fi

%build
%configure \
   --enable-shared=yes \
   --enable-static=no \
   UIC=uic-qt5 \
   MOC=moc-qt5

#   \
#   QT_CFLAGS="`pkg-config --cflags Qt5Core Qt5Gui Qt5Network`" \
#   QT_LDFLAGS="`pkg-config --libs Qt5Core Qt5Gui Qt5Network`"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -d %{buildroot}%{_datadir}/pixmaps
install -D -m 644 %{SOURCE1} \
   %{buildroot}%{_datadir}/pixmaps/%{name}.png

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
%install_info %{name}.info

%preun
%uninstall_info %{name}.info
:

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/octave
%{_bindir}/octave-%{version}
%{_bindir}/octave-cli
%{_bindir}/octave-cli-%{version}
%dir %{_libdir}/%{name}/%{version}/oct
%{_libdir}/%{name}/%{version}/oct/*
%{_libdir}/%{name}/%{version}/lib*.so.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/org.octave.Octave.desktop
%{_datadir}/metainfo/org.octave.Octave.appdata.xml
%{_datadir}/icons/hicolor/*/apps/octave.png
%{_datadir}/icons/hicolor/scalable/apps/octave.svg
%{_datadir}/pixmaps/%{name}.png
%dir %{_libexecdir}/%{name}/%{version}
%{_libexecdir}/%{name}/%{version}/*
%{_infodir}/*.info.*
%{_infodir}/%{name}.info-*
%{_mandir}/man1/%{name}.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_bindir}/mkoctfile
%{_bindir}/mkoctfile-%{version}
#%{_bindir}/%{name}-bug
#%{_bindir}/%{name}-bug-%{version}
%{_bindir}/%{name}-config
%{_bindir}/%{name}-config-%{version}
%dir %{_includedir}/%{name}-%{version}
%{_includedir}/%{name}-%{version}/*
#%{_libexecdir}/%{name}/ls-R
%{_libdir}/%{name}/%{version}/lib*.la
%{_libdir}/%{name}/%{version}/lib*.so
%{_libdir}/pkgconfig/octave.pc
%{_libdir}/pkgconfig/octinterp.pc
%{_mandir}/man1/mkoctfile.*
%{_mandir}/man1/%{name}-*
#%doc ChangeLog README NEWS INSTALL

%changelog
* Mon Jul 12 2021 Automatic Build System <autodist@mambasoft.it> 6.3.0-1mamba
- automatic version update by autodist

* Sat Feb 20 2021 Automatic Build System <autodist@mambasoft.it> 6.2.0-1mamba
- automatic version update by autodist

* Sat Nov 28 2020 Automatic Build System <autodist@mambasoft.it> 6.1.0-1mamba
- automatic version update by autodist

* Sun Mar 01 2020 Automatic Build System <autodist@mambasoft.it> 5.2.0-1mamba
- automatic version update by autodist

* Thu Nov 14 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.0-3mamba
- rebuilt with libsuitesparse 5.6.0

* Fri Aug 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.0-2mamba
- rebuilt with qscintilla 2.11.2

* Sun Mar 31 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.0-1mamba
- update to 5.1.0

* Tue Nov 22 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.0-1mamba
- update to 4.2.0

* Mon Aug 01 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.3-2mamba
- rebuilt with libqhull 2015 and libGrapicsMagick 1.3.24

* Sun Jul 24 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.3-1mamba
- update to 4.0.3

* Sun Jul 24 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.1-2mamba
- rebuilt by autoport with build requirements: libqhull-devel>=2015-1mamba

* Tue Mar 22 2016 Automatic Build System <autodist@mambasoft.it> 4.0.1-1mamba
- automatic version update by autodist

* Fri Mar 11 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.0-2mamba
- rebuilt by autoport with build requirements: libglpk-devel>=4.58-1mamba

* Sun Aug 02 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.0-1mamba
- update to 4.0.0

* Mon Sep 01 2014 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 3.8.2-1mamba
- update to 3.8.2

* Fri Mar 07 2014 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Sat Dec 28 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Mon Mar 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.4-2mamba
- rebuilt with libhdf5 1.8.10

* Thu Feb 28 2013 Automatic Build System <autodist@mambasoft.it> 3.6.4-1mamba
- automatic version update by autodist

* Wed Sep 05 2012 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic version update by autodist

* Thu May 31 2012 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Tue Mar 06 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.1-2mamba
- rebuilt with libsuitesparse

* Thu Feb 23 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Tue Oct 11 2011 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic version update by autodist

* Thu Jul 21 2011 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- update to 3.4.2

* Sat Feb 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.4-2mamba
- rebuilt with ghostscript 9.01

* Sat Jan 30 2010 Automatic Build System <autodist@mambasoft.it> 3.2.4-1mamba
- automatic update by autodist

* Thu Oct 01 2009 Automatic Build System <autodist@mambasoft.it> 3.2.3-1mamba
- automatic update by autodist

* Fri Jul 24 2009 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic update by autodist

* Thu Jun 11 2009 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic update by autodist

* Sat Apr 11 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.5-1mamba
- automatic update by autodist

* Wed Jan 21 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.3-1mamba
- automatic update by autodist

* Fri Sep 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2-1mamba
- update to 3.0.2

* Sat May 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.73-4mamba
- rebuilt

* Sun Feb 18 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.73-3qilnx
- rebuilt

* Wed Jun 14 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.1.73-2qilnx
- specfile fixed and updated

* Fri May 26 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.73-1qilnx
- update to version 2.1.73 by autospec

* Thu Aug 25 2005 Massimo Pintore <massimo.pintore@qilinux.it> 2.1.71-1qilnx
- update to version 2.1.71 by autospec
- split into main and devel packages

* Thu Apr 21 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.1.69-2qilnx
- rebuild and moved from devel-contrib repository to devel repository

* Mon Apr 4 2005  Matteo Bernasconi <voyagernm@virgilio.it> 2.1.69-1qilnx
- update to the new test version

* Mon Sep 27 2004  Matteo Bernasconi <voyagernm@virgilio.it> 2.1.59-1qilnx
- first build
